Char Class Reference

Generic character class that contains character related methods. More...

`#include <GenString.h>`

Collaboration diagram for Char:

## Public Types

enum | eCompareType { eCASE_SENSITIVE = 0 , eCASE_INSENSITIVE , eWS_INSENSITIVE , eAS_INTEGER }

## Static Public Member Functions

static char | ToLower (const char c)
static char | ToUpper (const char c)
static bool | IsCiLess (const char c1, const char c2)
static bool | IsWhiteSpace (const char c)
static bool | IsDigit (const char c)

## Detailed Description

Generic character class that contains character related methods.

This class is a static class that contains generic character related utility methods.

## Member Enumeration Documentation

## eCompareType

enum Char::eCompareType

Enumerator
eCASE_SENSITIVE |
eCASE_INSENSITIVE |
eWS_INSENSITIVE |
eAS_INTEGER |

## Member Function Documentation

## IsCiLess()

bool Char::IsCiLess | ( | const char | c1,
|  | const char | c2 )

static

## IsDigit()

bool Char::IsDigit | ( | const char | c | ) |

static

## IsWhiteSpace()

bool Char::IsWhiteSpace | ( | const char | c | ) |

static

## ToLower()

char Char::ToLower | ( | const char | c | ) |

static

## ToUpper()

char Char::ToUpper | ( | const char | c | ) |

static

The documentation for this class was generated from the following file:

- rcsb/GenString.h